auth.session.list
curl --request POST \
--url https://platform.trylath.com/auth/session/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limit": 50
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', limit: 50})
};
fetch('https://platform.trylath.com/auth/session/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/auth/session/list"
payload = {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limit": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/auth/session/list"
payload := strings.NewReader("{\n \"userId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"limit\": 50\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"sessions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"familyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ip": "<string>",
"userAgent": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"rotatedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"revokedReason": "<string>",
"refreshExpiresAt": "2023-11-07T05:31:56Z"
}
]
}
}auth.session.list
Lists a user’s sessions, live and revoked, newest first, with device and network facts.
POST
/
auth
/
session
/
list
auth.session.list
curl --request POST \
--url https://platform.trylath.com/auth/session/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limit": 50
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', limit: 50})
};
fetch('https://platform.trylath.com/auth/session/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/auth/session/list"
payload = {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limit": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/auth/session/list"
payload := strings.NewReader("{\n \"userId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"limit\": 50\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"sessions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"familyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ip": "<string>",
"userAgent": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"rotatedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"revokedReason": "<string>",
"refreshExpiresAt": "2023-11-07T05:31:56Z"
}
]
}
}Authorizations
A Lath API key: lath_live_sk… or lath_test_sk… on a server, lath_live_pk… or lath_test_pk… in a browser.
Body
application/json
Last modified on September 13, 2026
Was this page helpful?

